// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.15.6
// source: kernel.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ToKernel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Kind:
	//	*ToKernel_Setup_
	//	*ToKernel_ExecuteCode_
	//	*ToKernel_ExecuteQuery_
	//	*ToKernel_CancelExecute_
	//	*ToKernel_Cached_
	//	*ToKernel_Prompted_
	//	*ToKernel_ListConnections_
	Kind isToKernel_Kind `protobuf_oneof:"kind"`
}

func (x *ToKernel) Reset() {
	*x = ToKernel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel) ProtoMessage() {}

func (x *ToKernel) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel.ProtoReflect.Descriptor instead.
func (*ToKernel) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0}
}

func (m *ToKernel) GetKind() isToKernel_Kind {
	if m != nil {
		return m.Kind
	}
	return nil
}

func (x *ToKernel) GetSetup() *ToKernel_Setup {
	if x, ok := x.GetKind().(*ToKernel_Setup_); ok {
		return x.Setup
	}
	return nil
}

func (x *ToKernel) GetExecuteCode() *ToKernel_ExecuteCode {
	if x, ok := x.GetKind().(*ToKernel_ExecuteCode_); ok {
		return x.ExecuteCode
	}
	return nil
}

func (x *ToKernel) GetExecuteQuery() *ToKernel_ExecuteQuery {
	if x, ok := x.GetKind().(*ToKernel_ExecuteQuery_); ok {
		return x.ExecuteQuery
	}
	return nil
}

func (x *ToKernel) GetCancelExecute() *ToKernel_CancelExecute {
	if x, ok := x.GetKind().(*ToKernel_CancelExecute_); ok {
		return x.CancelExecute
	}
	return nil
}

func (x *ToKernel) GetCached() *ToKernel_Cached {
	if x, ok := x.GetKind().(*ToKernel_Cached_); ok {
		return x.Cached
	}
	return nil
}

func (x *ToKernel) GetPrompted() *ToKernel_Prompted {
	if x, ok := x.GetKind().(*ToKernel_Prompted_); ok {
		return x.Prompted
	}
	return nil
}

func (x *ToKernel) GetListConnections() *ToKernel_ListConnections {
	if x, ok := x.GetKind().(*ToKernel_ListConnections_); ok {
		return x.ListConnections
	}
	return nil
}

type isToKernel_Kind interface {
	isToKernel_Kind()
}

type ToKernel_Setup_ struct {
	Setup *ToKernel_Setup `protobuf:"bytes,7,opt,name=setup,proto3,oneof"`
}

type ToKernel_ExecuteCode_ struct {
	ExecuteCode *ToKernel_ExecuteCode `protobuf:"bytes,1,opt,name=executeCode,proto3,oneof"`
}

type ToKernel_ExecuteQuery_ struct {
	ExecuteQuery *ToKernel_ExecuteQuery `protobuf:"bytes,2,opt,name=executeQuery,proto3,oneof"`
}

type ToKernel_CancelExecute_ struct {
	CancelExecute *ToKernel_CancelExecute `protobuf:"bytes,3,opt,name=cancelExecute,proto3,oneof"`
}

type ToKernel_Cached_ struct {
	Cached *ToKernel_Cached `protobuf:"bytes,4,opt,name=cached,proto3,oneof"`
}

type ToKernel_Prompted_ struct {
	Prompted *ToKernel_Prompted `protobuf:"bytes,5,opt,name=prompted,proto3,oneof"`
}

type ToKernel_ListConnections_ struct {
	ListConnections *ToKernel_ListConnections `protobuf:"bytes,6,opt,name=listConnections,proto3,oneof"`
}

func (*ToKernel_Setup_) isToKernel_Kind() {}

func (*ToKernel_ExecuteCode_) isToKernel_Kind() {}

func (*ToKernel_ExecuteQuery_) isToKernel_Kind() {}

func (*ToKernel_CancelExecute_) isToKernel_Kind() {}

func (*ToKernel_Cached_) isToKernel_Kind() {}

func (*ToKernel_Prompted_) isToKernel_Kind() {}

func (*ToKernel_ListConnections_) isToKernel_Kind() {}

type FromKernel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Kind:
	//	*FromKernel_Output_
	//	*FromKernel_Executed_
	//	*FromKernel_ReadCache_
	//	*FromKernel_WriteCache_
	//	*FromKernel_Prompt_
	//	*FromKernel_Connections_
	Kind isFromKernel_Kind `protobuf_oneof:"kind"`
}

func (x *FromKernel) Reset() {
	*x = FromKernel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel) ProtoMessage() {}

func (x *FromKernel) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel.ProtoReflect.Descriptor instead.
func (*FromKernel) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1}
}

func (m *FromKernel) GetKind() isFromKernel_Kind {
	if m != nil {
		return m.Kind
	}
	return nil
}

func (x *FromKernel) GetOutput() *FromKernel_Output {
	if x, ok := x.GetKind().(*FromKernel_Output_); ok {
		return x.Output
	}
	return nil
}

func (x *FromKernel) GetExecuted() *FromKernel_Executed {
	if x, ok := x.GetKind().(*FromKernel_Executed_); ok {
		return x.Executed
	}
	return nil
}

func (x *FromKernel) GetReadCache() *FromKernel_ReadCache {
	if x, ok := x.GetKind().(*FromKernel_ReadCache_); ok {
		return x.ReadCache
	}
	return nil
}

func (x *FromKernel) GetWriteCache() *FromKernel_WriteCache {
	if x, ok := x.GetKind().(*FromKernel_WriteCache_); ok {
		return x.WriteCache
	}
	return nil
}

func (x *FromKernel) GetPrompt() *FromKernel_Prompt {
	if x, ok := x.GetKind().(*FromKernel_Prompt_); ok {
		return x.Prompt
	}
	return nil
}

func (x *FromKernel) GetConnections() *FromKernel_Connections {
	if x, ok := x.GetKind().(*FromKernel_Connections_); ok {
		return x.Connections
	}
	return nil
}

type isFromKernel_Kind interface {
	isFromKernel_Kind()
}

type FromKernel_Output_ struct {
	Output *FromKernel_Output `protobuf:"bytes,1,opt,name=output,proto3,oneof"`
}

type FromKernel_Executed_ struct {
	Executed *FromKernel_Executed `protobuf:"bytes,2,opt,name=executed,proto3,oneof"`
}

type FromKernel_ReadCache_ struct {
	ReadCache *FromKernel_ReadCache `protobuf:"bytes,3,opt,name=readCache,proto3,oneof"`
}

type FromKernel_WriteCache_ struct {
	WriteCache *FromKernel_WriteCache `protobuf:"bytes,4,opt,name=writeCache,proto3,oneof"`
}

type FromKernel_Prompt_ struct {
	Prompt *FromKernel_Prompt `protobuf:"bytes,5,opt,name=prompt,proto3,oneof"`
}

type FromKernel_Connections_ struct {
	Connections *FromKernel_Connections `protobuf:"bytes,6,opt,name=connections,proto3,oneof"`
}

func (*FromKernel_Output_) isFromKernel_Kind() {}

func (*FromKernel_Executed_) isFromKernel_Kind() {}

func (*FromKernel_ReadCache_) isFromKernel_Kind() {}

func (*FromKernel_WriteCache_) isFromKernel_Kind() {}

func (*FromKernel_Prompt_) isFromKernel_Kind() {}

func (*FromKernel_Connections_) isFromKernel_Kind() {}

type Content struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type  string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Value []byte `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *Content) Reset() {
	*x = Content{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Content) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Content) ProtoMessage() {}

func (x *Content) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Content.ProtoReflect.Descriptor instead.
func (*Content) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{2}
}

func (x *Content) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Content) GetValue() []byte {
	if x != nil {
		return x.Value
	}
	return nil
}

type Error struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message  string               `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Stack    *string              `protobuf:"bytes,2,opt,name=stack,proto3,oneof" json:"stack,omitempty"`
	Position *Error_LineAndColumn `protobuf:"bytes,3,opt,name=position,proto3,oneof" json:"position,omitempty"`
}

func (x *Error) Reset() {
	*x = Error{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error) ProtoMessage() {}

func (x *Error) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error.ProtoReflect.Descriptor instead.
func (*Error) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3}
}

func (x *Error) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *Error) GetStack() string {
	if x != nil && x.Stack != nil {
		return *x.Stack
	}
	return ""
}

func (x *Error) GetPosition() *Error_LineAndColumn {
	if x != nil {
		return x.Position
	}
	return nil
}

type ToKernel_Setup struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Path string `protobuf:"bytes,1,opt,name=path,proto3" json:"path,omitempty"`
}

func (x *ToKernel_Setup) Reset() {
	*x = ToKernel_Setup{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_Setup) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_Setup) ProtoMessage() {}

func (x *ToKernel_Setup) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_Setup.ProtoReflect.Descriptor instead.
func (*ToKernel_Setup) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 0}
}

func (x *ToKernel_Setup) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

type ToKernel_ExecuteCode struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Code string `protobuf:"bytes,1,opt,name=code,proto3" json:"code,omitempty"`
}

func (x *ToKernel_ExecuteCode) Reset() {
	*x = ToKernel_ExecuteCode{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_ExecuteCode) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_ExecuteCode) ProtoMessage() {}

func (x *ToKernel_ExecuteCode) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_ExecuteCode.ProtoReflect.Descriptor instead.
func (*ToKernel_ExecuteCode) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 1}
}

func (x *ToKernel_ExecuteCode) GetCode() string {
	if x != nil {
		return x.Code
	}
	return ""
}

type ToKernel_ExecuteQuery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query      string  `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	Connection string  `protobuf:"bytes,2,opt,name=connection,proto3" json:"connection,omitempty"`
	Database   *string `protobuf:"bytes,3,opt,name=database,proto3,oneof" json:"database,omitempty"`
}

func (x *ToKernel_ExecuteQuery) Reset() {
	*x = ToKernel_ExecuteQuery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_ExecuteQuery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_ExecuteQuery) ProtoMessage() {}

func (x *ToKernel_ExecuteQuery) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_ExecuteQuery.ProtoReflect.Descriptor instead.
func (*ToKernel_ExecuteQuery) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 2}
}

func (x *ToKernel_ExecuteQuery) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *ToKernel_ExecuteQuery) GetConnection() string {
	if x != nil {
		return x.Connection
	}
	return ""
}

func (x *ToKernel_ExecuteQuery) GetDatabase() string {
	if x != nil && x.Database != nil {
		return *x.Database
	}
	return ""
}

type ToKernel_CancelExecute struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ToKernel_CancelExecute) Reset() {
	*x = ToKernel_CancelExecute{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_CancelExecute) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_CancelExecute) ProtoMessage() {}

func (x *ToKernel_CancelExecute) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_CancelExecute.ProtoReflect.Descriptor instead.
func (*ToKernel_CancelExecute) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 3}
}

type ToKernel_Cached struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   string  `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Value *string `protobuf:"bytes,2,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *ToKernel_Cached) Reset() {
	*x = ToKernel_Cached{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_Cached) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_Cached) ProtoMessage() {}

func (x *ToKernel_Cached) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_Cached.ProtoReflect.Descriptor instead.
func (*ToKernel_Cached) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 4}
}

func (x *ToKernel_Cached) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *ToKernel_Cached) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

type ToKernel_Prompted struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value *string `protobuf:"bytes,1,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *ToKernel_Prompted) Reset() {
	*x = ToKernel_Prompted{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_Prompted) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_Prompted) ProtoMessage() {}

func (x *ToKernel_Prompted) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_Prompted.ProtoReflect.Descriptor instead.
func (*ToKernel_Prompted) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 5}
}

func (x *ToKernel_Prompted) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

type ToKernel_ListConnections struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ToKernel_ListConnections) Reset() {
	*x = ToKernel_ListConnections{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ToKernel_ListConnections) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ToKernel_ListConnections) ProtoMessage() {}

func (x *ToKernel_ListConnections) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ToKernel_ListConnections.ProtoReflect.Descriptor instead.
func (*ToKernel_ListConnections) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{0, 6}
}

type FromKernel_Output struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Content []*Content `protobuf:"bytes,1,rep,name=content,proto3" json:"content,omitempty"`
}

func (x *FromKernel_Output) Reset() {
	*x = FromKernel_Output{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_Output) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_Output) ProtoMessage() {}

func (x *FromKernel_Output) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_Output.ProtoReflect.Descriptor instead.
func (*FromKernel_Output) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 0}
}

func (x *FromKernel_Output) GetContent() []*Content {
	if x != nil {
		return x.Content
	}
	return nil
}

type FromKernel_Executed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Duration *durationpb.Duration `protobuf:"bytes,1,opt,name=duration,proto3" json:"duration,omitempty"`
	Errors   []*Error             `protobuf:"bytes,2,rep,name=errors,proto3" json:"errors,omitempty"`
}

func (x *FromKernel_Executed) Reset() {
	*x = FromKernel_Executed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_Executed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_Executed) ProtoMessage() {}

func (x *FromKernel_Executed) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_Executed.ProtoReflect.Descriptor instead.
func (*FromKernel_Executed) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 1}
}

func (x *FromKernel_Executed) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

func (x *FromKernel_Executed) GetErrors() []*Error {
	if x != nil {
		return x.Errors
	}
	return nil
}

type FromKernel_ReadCache struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
}

func (x *FromKernel_ReadCache) Reset() {
	*x = FromKernel_ReadCache{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_ReadCache) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_ReadCache) ProtoMessage() {}

func (x *FromKernel_ReadCache) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_ReadCache.ProtoReflect.Descriptor instead.
func (*FromKernel_ReadCache) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 2}
}

func (x *FromKernel_ReadCache) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

type FromKernel_WriteCache struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   string  `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Value *string `protobuf:"bytes,2,opt,name=value,proto3,oneof" json:"value,omitempty"`
}

func (x *FromKernel_WriteCache) Reset() {
	*x = FromKernel_WriteCache{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_WriteCache) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_WriteCache) ProtoMessage() {}

func (x *FromKernel_WriteCache) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_WriteCache.ProtoReflect.Descriptor instead.
func (*FromKernel_WriteCache) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 3}
}

func (x *FromKernel_WriteCache) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *FromKernel_WriteCache) GetValue() string {
	if x != nil && x.Value != nil {
		return *x.Value
	}
	return ""
}

type FromKernel_Prompt struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prompt      *string `protobuf:"bytes,1,opt,name=prompt,proto3,oneof" json:"prompt,omitempty"`
	Placeholder *string `protobuf:"bytes,2,opt,name=placeholder,proto3,oneof" json:"placeholder,omitempty"`
	Secret      bool    `protobuf:"varint,3,opt,name=secret,proto3" json:"secret,omitempty"`
}

func (x *FromKernel_Prompt) Reset() {
	*x = FromKernel_Prompt{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_Prompt) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_Prompt) ProtoMessage() {}

func (x *FromKernel_Prompt) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_Prompt.ProtoReflect.Descriptor instead.
func (*FromKernel_Prompt) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 4}
}

func (x *FromKernel_Prompt) GetPrompt() string {
	if x != nil && x.Prompt != nil {
		return *x.Prompt
	}
	return ""
}

func (x *FromKernel_Prompt) GetPlaceholder() string {
	if x != nil && x.Placeholder != nil {
		return *x.Placeholder
	}
	return ""
}

func (x *FromKernel_Prompt) GetSecret() bool {
	if x != nil {
		return x.Secret
	}
	return false
}

type FromKernel_Connections struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Connection []*FromKernel_Connections_Connection `protobuf:"bytes,1,rep,name=connection,proto3" json:"connection,omitempty"`
}

func (x *FromKernel_Connections) Reset() {
	*x = FromKernel_Connections{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_Connections) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_Connections) ProtoMessage() {}

func (x *FromKernel_Connections) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_Connections.ProtoReflect.Descriptor instead.
func (*FromKernel_Connections) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 5}
}

func (x *FromKernel_Connections) GetConnection() []*FromKernel_Connections_Connection {
	if x != nil {
		return x.Connection
	}
	return nil
}

type FromKernel_Connections_Connection struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id       string  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Provider *string `protobuf:"bytes,2,opt,name=provider,proto3,oneof" json:"provider,omitempty"`
}

func (x *FromKernel_Connections_Connection) Reset() {
	*x = FromKernel_Connections_Connection{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FromKernel_Connections_Connection) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FromKernel_Connections_Connection) ProtoMessage() {}

func (x *FromKernel_Connections_Connection) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FromKernel_Connections_Connection.ProtoReflect.Descriptor instead.
func (*FromKernel_Connections_Connection) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{1, 5, 0}
}

func (x *FromKernel_Connections_Connection) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *FromKernel_Connections_Connection) GetProvider() string {
	if x != nil && x.Provider != nil {
		return *x.Provider
	}
	return ""
}

type Error_LineAndColumn struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Line   int32 `protobuf:"varint,1,opt,name=line,proto3" json:"line,omitempty"`
	Column int32 `protobuf:"varint,2,opt,name=column,proto3" json:"column,omitempty"`
}

func (x *Error_LineAndColumn) Reset() {
	*x = Error_LineAndColumn{}
	if protoimpl.UnsafeEnabled {
		mi := &file_kernel_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Error_LineAndColumn) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Error_LineAndColumn) ProtoMessage() {}

func (x *Error_LineAndColumn) ProtoReflect() protoreflect.Message {
	mi := &file_kernel_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Error_LineAndColumn.ProtoReflect.Descriptor instead.
func (*Error_LineAndColumn) Descriptor() ([]byte, []int) {
	return file_kernel_proto_rawDescGZIP(), []int{3, 0}
}

func (x *Error_LineAndColumn) GetLine() int32 {
	if x != nil {
		return x.Line
	}
	return 0
}

func (x *Error_LineAndColumn) GetColumn() int32 {
	if x != nil {
		return x.Column
	}
	return 0
}

var File_kernel_proto protoreflect.FileDescriptor

var file_kernel_proto_rawDesc = []byte{
	0x0a, 0x0c, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xe4,
	0x05, 0x0a, 0x08, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x12, 0x27, 0x0a, 0x05, 0x73,
	0x65, 0x74, 0x75, 0x70, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x54, 0x6f, 0x4b,
	0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x53, 0x65, 0x74, 0x75, 0x70, 0x48, 0x00, 0x52, 0x05, 0x73,
	0x65, 0x74, 0x75, 0x70, 0x12, 0x39, 0x0a, 0x0b, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x43,
	0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x54, 0x6f, 0x4b, 0x65,
	0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x43, 0x6f, 0x64, 0x65,
	0x48, 0x00, 0x52, 0x0b, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x12,
	0x3c, 0x0a, 0x0c, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x51, 0x75, 0x65, 0x72, 0x79, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x2e, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x51, 0x75, 0x65, 0x72, 0x79, 0x48, 0x00, 0x52,
	0x0c, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x51, 0x75, 0x65, 0x72, 0x79, 0x12, 0x3f, 0x0a,
	0x0d, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e,
	0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x48, 0x00, 0x52,
	0x0d, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x12, 0x2a,
	0x0a, 0x06, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10,
	0x2e, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x43, 0x61, 0x63, 0x68, 0x65, 0x64,
	0x48, 0x00, 0x52, 0x06, 0x63, 0x61, 0x63, 0x68, 0x65, 0x64, 0x12, 0x30, 0x0a, 0x08, 0x70, 0x72,
	0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x54,
	0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64,
	0x48, 0x00, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x65, 0x64, 0x12, 0x45, 0x0a, 0x0f,
	0x6c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x48, 0x00, 0x52, 0x0f, 0x6c, 0x69, 0x73, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x1a, 0x1b, 0x0a, 0x05, 0x53, 0x65, 0x74, 0x75, 0x70, 0x12, 0x12, 0x0a, 0x04,
	0x70, 0x61, 0x74, 0x68, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x70, 0x61, 0x74, 0x68,
	0x1a, 0x21, 0x0a, 0x0b, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x43, 0x6f, 0x64, 0x65, 0x12,
	0x12, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x63,
	0x6f, 0x64, 0x65, 0x1a, 0x72, 0x0a, 0x0c, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x51, 0x75,
	0x65, 0x72, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1f, 0x0a, 0x08, 0x64, 0x61, 0x74,
	0x61, 0x62, 0x61, 0x73, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x08, 0x64,
	0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x88, 0x01, 0x01, 0x42, 0x0b, 0x0a, 0x09, 0x5f, 0x64,
	0x61, 0x74, 0x61, 0x62, 0x61, 0x73, 0x65, 0x1a, 0x0f, 0x0a, 0x0d, 0x43, 0x61, 0x6e, 0x63, 0x65,
	0x6c, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x1a, 0x3f, 0x0a, 0x06, 0x43, 0x61, 0x63, 0x68,
	0x65, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x6b, 0x65, 0x79, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x88, 0x01, 0x01, 0x42,
	0x08, 0x0a, 0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x2f, 0x0a, 0x08, 0x50, 0x72, 0x6f,
	0x6d, 0x70, 0x74, 0x65, 0x64, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x88, 0x01, 0x01,
	0x42, 0x08, 0x0a, 0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x11, 0x0a, 0x0f, 0x4c, 0x69,
	0x73, 0x74, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x06, 0x0a,
	0x04, 0x6b, 0x69, 0x6e, 0x64, 0x22, 0xe8, 0x06, 0x0a, 0x0a, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65,
	0x72, 0x6e, 0x65, 0x6c, 0x12, 0x2c, 0x0a, 0x06, 0x6f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65,
	0x6c, 0x2e, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x48, 0x00, 0x52, 0x06, 0x6f, 0x75, 0x74, 0x70,
	0x75, 0x74, 0x12, 0x32, 0x0a, 0x08, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65,
	0x6c, 0x2e, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x48, 0x00, 0x52, 0x08, 0x65, 0x78,
	0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x12, 0x35, 0x0a, 0x09, 0x72, 0x65, 0x61, 0x64, 0x43, 0x61,
	0x63, 0x68, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x46, 0x72, 0x6f, 0x6d,
	0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68, 0x65,
	0x48, 0x00, 0x52, 0x09, 0x72, 0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x38, 0x0a,
	0x0a, 0x77, 0x72, 0x69, 0x74, 0x65, 0x43, 0x61, 0x63, 0x68, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x16, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x57,
	0x72, 0x69, 0x74, 0x65, 0x43, 0x61, 0x63, 0x68, 0x65, 0x48, 0x00, 0x52, 0x0a, 0x77, 0x72, 0x69,
	0x74, 0x65, 0x43, 0x61, 0x63, 0x68, 0x65, 0x12, 0x2c, 0x0a, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70,
	0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65,
	0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x50, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x48, 0x00, 0x52, 0x06, 0x70,
	0x72, 0x6f, 0x6d, 0x70, 0x74, 0x12, 0x3b, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x46, 0x72, 0x6f,
	0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x1a, 0x2c, 0x0a, 0x06, 0x4f, 0x75, 0x74, 0x70, 0x75, 0x74, 0x12, 0x22, 0x0a, 0x07,
	0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x08, 0x2e,
	0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x52, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74,
	0x1a, 0x61, 0x0a, 0x08, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x65, 0x64, 0x12, 0x35, 0x0a, 0x08,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x06, 0x2e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x52, 0x06, 0x65, 0x72, 0x72,
	0x6f, 0x72, 0x73, 0x1a, 0x1d, 0x0a, 0x09, 0x52, 0x65, 0x61, 0x64, 0x43, 0x61, 0x63, 0x68, 0x65,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x1a, 0x43, 0x0a, 0x0a, 0x57, 0x72, 0x69, 0x74, 0x65, 0x43, 0x61, 0x63, 0x68, 0x65,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x19, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x88, 0x01, 0x01, 0x42, 0x08, 0x0a,
	0x06, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x1a, 0x7f, 0x0a, 0x06, 0x50, 0x72, 0x6f, 0x6d, 0x70,
	0x74, 0x12, 0x1b, 0x0a, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x06, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x88, 0x01, 0x01, 0x12, 0x25,
	0x0a, 0x0b, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x68, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x0b, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x68, 0x6f, 0x6c, 0x64,
	0x65, 0x72, 0x88, 0x01, 0x01, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x63, 0x72, 0x65, 0x74, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x73, 0x65, 0x63, 0x72, 0x65, 0x74, 0x42, 0x09, 0x0a,
	0x07, 0x5f, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x42, 0x0e, 0x0a, 0x0c, 0x5f, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x68, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x1a, 0x9d, 0x01, 0x0a, 0x0b, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x42, 0x0a, 0x0a, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x46,
	0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x4a, 0x0a, 0x0a,
	0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1f, 0x0a, 0x08, 0x70, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x08,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x88, 0x01, 0x01, 0x42, 0x0b, 0x0a, 0x09, 0x5f,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x42, 0x06, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64,
	0x22, 0x33, 0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12,
	0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xc7, 0x01, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12,
	0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x19, 0x0a, 0x05, 0x73, 0x74, 0x61,
	0x63, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x73, 0x74, 0x61, 0x63,
	0x6b, 0x88, 0x01, 0x01, 0x12, 0x35, 0x0a, 0x08, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x4c,
	0x69, 0x6e, 0x65, 0x41, 0x6e, 0x64, 0x43, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x48, 0x01, 0x52, 0x08,
	0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x1a, 0x3b, 0x0a, 0x0d, 0x4c,
	0x69, 0x6e, 0x65, 0x41, 0x6e, 0x64, 0x43, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x12, 0x12, 0x0a, 0x04,
	0x6c, 0x69, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x6c, 0x69, 0x6e, 0x65,
	0x12, 0x16, 0x0a, 0x06, 0x63, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x06, 0x63, 0x6f, 0x6c, 0x75, 0x6d, 0x6e, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x73, 0x74, 0x61,
	0x63, 0x6b, 0x42, 0x0b, 0x0a, 0x09, 0x5f, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x32,
	0x2f, 0x0a, 0x06, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x12, 0x25, 0x0a, 0x07, 0x53, 0x65, 0x73,
	0x73, 0x69, 0x6f, 0x6e, 0x12, 0x09, 0x2e, 0x54, 0x6f, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x1a,
	0x0b, 0x2e, 0x46, 0x72, 0x6f, 0x6d, 0x4b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x28, 0x01, 0x30, 0x01,
	0x42, 0x0b, 0x5a, 0x09, 0x73, 0x72, 0x63, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_kernel_proto_rawDescOnce sync.Once
	file_kernel_proto_rawDescData = file_kernel_proto_rawDesc
)

func file_kernel_proto_rawDescGZIP() []byte {
	file_kernel_proto_rawDescOnce.Do(func() {
		file_kernel_proto_rawDescData = protoimpl.X.CompressGZIP(file_kernel_proto_rawDescData)
	})
	return file_kernel_proto_rawDescData
}

var file_kernel_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_kernel_proto_goTypes = []interface{}{
	(*ToKernel)(nil),                          // 0: ToKernel
	(*FromKernel)(nil),                        // 1: FromKernel
	(*Content)(nil),                           // 2: Content
	(*Error)(nil),                             // 3: Error
	(*ToKernel_Setup)(nil),                    // 4: ToKernel.Setup
	(*ToKernel_ExecuteCode)(nil),              // 5: ToKernel.ExecuteCode
	(*ToKernel_ExecuteQuery)(nil),             // 6: ToKernel.ExecuteQuery
	(*ToKernel_CancelExecute)(nil),            // 7: ToKernel.CancelExecute
	(*ToKernel_Cached)(nil),                   // 8: ToKernel.Cached
	(*ToKernel_Prompted)(nil),                 // 9: ToKernel.Prompted
	(*ToKernel_ListConnections)(nil),          // 10: ToKernel.ListConnections
	(*FromKernel_Output)(nil),                 // 11: FromKernel.Output
	(*FromKernel_Executed)(nil),               // 12: FromKernel.Executed
	(*FromKernel_ReadCache)(nil),              // 13: FromKernel.ReadCache
	(*FromKernel_WriteCache)(nil),             // 14: FromKernel.WriteCache
	(*FromKernel_Prompt)(nil),                 // 15: FromKernel.Prompt
	(*FromKernel_Connections)(nil),            // 16: FromKernel.Connections
	(*FromKernel_Connections_Connection)(nil), // 17: FromKernel.Connections.Connection
	(*Error_LineAndColumn)(nil),               // 18: Error.LineAndColumn
	(*durationpb.Duration)(nil),               // 19: google.protobuf.Duration
}
var file_kernel_proto_depIdxs = []int32{
	4,  // 0: ToKernel.setup:type_name -> ToKernel.Setup
	5,  // 1: ToKernel.executeCode:type_name -> ToKernel.ExecuteCode
	6,  // 2: ToKernel.executeQuery:type_name -> ToKernel.ExecuteQuery
	7,  // 3: ToKernel.cancelExecute:type_name -> ToKernel.CancelExecute
	8,  // 4: ToKernel.cached:type_name -> ToKernel.Cached
	9,  // 5: ToKernel.prompted:type_name -> ToKernel.Prompted
	10, // 6: ToKernel.listConnections:type_name -> ToKernel.ListConnections
	11, // 7: FromKernel.output:type_name -> FromKernel.Output
	12, // 8: FromKernel.executed:type_name -> FromKernel.Executed
	13, // 9: FromKernel.readCache:type_name -> FromKernel.ReadCache
	14, // 10: FromKernel.writeCache:type_name -> FromKernel.WriteCache
	15, // 11: FromKernel.prompt:type_name -> FromKernel.Prompt
	16, // 12: FromKernel.connections:type_name -> FromKernel.Connections
	18, // 13: Error.position:type_name -> Error.LineAndColumn
	2,  // 14: FromKernel.Output.content:type_name -> Content
	19, // 15: FromKernel.Executed.duration:type_name -> google.protobuf.Duration
	3,  // 16: FromKernel.Executed.errors:type_name -> Error
	17, // 17: FromKernel.Connections.connection:type_name -> FromKernel.Connections.Connection
	0,  // 18: Kernel.Session:input_type -> ToKernel
	1,  // 19: Kernel.Session:output_type -> FromKernel
	19, // [19:20] is the sub-list for method output_type
	18, // [18:19] is the sub-list for method input_type
	18, // [18:18] is the sub-list for extension type_name
	18, // [18:18] is the sub-list for extension extendee
	0,  // [0:18] is the sub-list for field type_name
}

func init() { file_kernel_proto_init() }
func file_kernel_proto_init() {
	if File_kernel_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_kernel_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Content); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_Setup); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_ExecuteCode); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_ExecuteQuery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_CancelExecute); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_Cached); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_Prompted); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ToKernel_ListConnections); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_Output); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_Executed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_ReadCache); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_WriteCache); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_Prompt); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_Connections); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FromKernel_Connections_Connection); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_kernel_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Error_LineAndColumn); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_kernel_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*ToKernel_Setup_)(nil),
		(*ToKernel_ExecuteCode_)(nil),
		(*ToKernel_ExecuteQuery_)(nil),
		(*ToKernel_CancelExecute_)(nil),
		(*ToKernel_Cached_)(nil),
		(*ToKernel_Prompted_)(nil),
		(*ToKernel_ListConnections_)(nil),
	}
	file_kernel_proto_msgTypes[1].OneofWrappers = []interface{}{
		(*FromKernel_Output_)(nil),
		(*FromKernel_Executed_)(nil),
		(*FromKernel_ReadCache_)(nil),
		(*FromKernel_WriteCache_)(nil),
		(*FromKernel_Prompt_)(nil),
		(*FromKernel_Connections_)(nil),
	}
	file_kernel_proto_msgTypes[3].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[6].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[8].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[9].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[14].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[15].OneofWrappers = []interface{}{}
	file_kernel_proto_msgTypes[17].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_kernel_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_kernel_proto_goTypes,
		DependencyIndexes: file_kernel_proto_depIdxs,
		MessageInfos:      file_kernel_proto_msgTypes,
	}.Build()
	File_kernel_proto = out.File
	file_kernel_proto_rawDesc = nil
	file_kernel_proto_goTypes = nil
	file_kernel_proto_depIdxs = nil
}
